=== debian/changelog ===
libmstoolkit (77.0.0-1) unstable; urgency=medium

  * New upstream version;
  
  * Fix debian/copyright to reflect source modifications in upstream and
    to fix lintian-detected glitches;
    debian/control & debian copyright: change the projet home website url.

  * Better cleaning up of the source tarball (libs not required, .svn and
    other cruft);
    
  * Still closing the ITP bug (Closes: #763747).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 13 Jan 2015 10:25:07 +0100

libmstoolkit (73~svn-3) UNRELEASED; urgency=medium

  * remove the shlibs.local file.
  * fix problem with debian/copyright (license ZLib was not detected
    properly, with a lintian warning) and remove the corresponding lintian
    override.
  * Still closing the ITP bug (Closes: #763747);

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 04 Nov 2014 16:24:42 +0100

libmstoolkit (73~svn-2) unstable; urgency=medium

  * Fixes to the debian/copyright file so as to document some shipped
    include files;
  
  * Add source lintian overrides file.
  
  * Initial packaging (Closes: #763747);
  
 -- Filippo Rusconi <lopippo@debian.org>  Tue, 04 Nov 2014 11:27:08 +0100

libmstoolkit (73~svn-1) unstable; urgency=low
  
  * Initial packaging (Closes: #763747);
  
  * The main modification is related to the Makefile which has been
    changed so as to produce first-class citizen UNIX/LINUX/POSIX shared
    object libraries.
  
 -- Filippo Rusconi <lopippo@debian.org>  Thu, 02 Oct 2014 12:40:10 +0200
