=== debian/control ===
Source: libmstoolkit
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper (>= 9.2), 
               dpkg-dev (>= 1.16.1~),
               libzip-dev (>= 0.11.2),
               libhdf5-dev (>=1.8.13),
               libsqlite3-dev (>= 3.8.6),
               libexpat1-dev (>= 2.1.0),
               docbook-to-man
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/mhoopmann/mstoolkit
Vcs-Git: git://anonscm.debian.org/debichem/packages/libmstoolkit.git
Vcs-Browser: http://anonscm.debian.org/git/debichem/packages/libmstoolkit.git

Package: libmstoolkit-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, 
         libmstoolkit77 (= ${binary:Version}),
         libzip-dev (>= 0.11.2),
         libhdf5-dev (>=1.8.13),
         libsqlite3-dev (>= 3.8.6),
         libexpat1-dev (>= 2.1.0)         
Conflicts: libmstoolkit73
Description: libraries for manipulating mass spectrometry data - dev files
 The MSToolkit is a light-weight C++ library for reading, writing, and
 manipulating mass spectrometry data. The MSToolkit is easily linked
 to virtually any C++ algorithm for simple, fast file reading and
 analysis.
 .
 Supported File Formats:
 -----------------------
   - read-only mzML including internal compression (zlib and numpress)
     and external compression (.mzML.gz) read-only;
   - read-only mzXML including internal compression (zlib) and external
     compression (.mzXML.gz)
   - read/write mgf, ms1, ms2, bms1, bms2, cms1, cms2
 .
 Simple Interface:
 ------------------       
   - Open any file format from a single function call;
   - Store any  spectrum in a simple, comprehensive data structure;
   - Sequential or random-access file reading.


Package: libmstoolkit77
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends}
Conflicts: libmstoolkit73
Description: libraries for manipulating mass spectrometry data - runtime
 The MSToolkit is a light-weight C++ library for reading, writing, and
 manipulating mass spectrometry data. The MSToolkit is easily linked
 to virtually any C++ algorithm for simple, fast file reading and
 analysis.
 .
 Supported File Formats:
 -----------------------
   - read-only mzML including internal compression (zlib and numpress)
     and external compression (.mzML.gz) read-only;
   - read-only mzXML including internal compression (zlib) and external
     compression (.mzXML.gz)
   - read/write mgf, ms1, ms2, bms1, bms2, cms1, cms2
 .
 Simple Interface:
 ------------------       
   - Open any file format from a single function call;
   - Store any  spectrum in a simple, comprehensive data structure;
   - Sequential or random-access file reading.
 .
 This package ships these libraries:
 . 
   - libmstoolkit;
   - libmstoolkitlite;


Package: libmstoolkit77-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libmstoolkit77 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libmstoolkit73
Description: libraries for manipulating mass spectrometry data - debug symbols
 The MSToolkit is a light-weight C++ library for reading, writing, and
 manipulating mass spectrometry data. The MSToolkit is easily linked
 to virtually any C++ algorithm for simple, fast file reading and
 analysis.
 .
 Supported File Formats:
 -----------------------
   - read-only mzML including internal compression (zlib and numpress)
     and external compression (.mzML.gz) read-only;
   - read-only mzXML including internal compression (zlib) and external
     compression (.mzXML.gz)
   - read/write mgf, ms1, ms2, bms1, bms2, cms1, cms2
 .
 Simple Interface:
 ------------------       
   - Open any file format from a single function call;
   - Store any  spectrum in a simple, comprehensive data structure;
   - Sequential or random-access file reading.
 .
 This package provides the debugging symbols for libmstoolkit and
 libmstoolkitlite.
