## libmstoolkit 82

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #Set your paths here.
-ZLIB_PATH = ./src/zLib-1.2.5
+ZLIB_PATH = ./src/zlib-1.2.8
 MZPARSER_PATH = ./src/mzParser
-EXPAT_PATH = ./src/expat-2.0.1
+EXPAT_PATH = ./src/expat-2.2.0
 SQLITE_PATH = ./src/sqlite-3.7.7.1
 MST_PATH = ./src/MSToolkit
 
@@ -13,7 +13,7 @@
   mzp.saxmzxmlhandler_lite.o mzp.Czran_lite.o mzp.mz5handler_lite.o mzp.mzpMz5Config_lite.o mzp.mzpMz5Structs_lite.o mzp.BasicChromatogram_lite.o mzp.PWIZface_lite.o
 EXPAT = xmlparse.o xmlrole.o xmltok.o
 ZLIB = adler32.o compress.o crc32.o deflate.o inffast.o inflate.o infback.o inftrees.o trees.o uncompr.o zutil.o
-MSTOOLKIT = Spectrum.o MSObject.o
+MSTOOLKIT = Spectrum.o MSObject.o mzMLWriter.o pepXMLWriter.o
 READER = MSReader.o
 READERLITE = MSReaderLite.o
 SQLITE = sqlite3.o 
@@ -116,5 +116,13 @@
 MSObject.o : $(MST_PATH)/MSObject.cpp
 	$(CC) $(CFLAGS) $(MST_PATH)/MSObject.cpp -c
 
+mzMLWriter.o : $(MST_PATH)/mzMLWriter.cpp
+	$(CC) $(CFLAGS) $(MST_PATH)/mzMLWriter.cpp -c
+	
+pepXMLWriter.o : $(MST_PATH)/pepXMLWriter.cpp
+	$(CC) $(CFLAGS) $(MST_PATH)/pepXMLWriter.cpp -c
 
 
+
+
+
