=== debian/changelog ===
libmstoolkit (82-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix debian/rules for the changed lib package name.

 -- Steve Langasek <vorlon@debian.org>  Sun, 17 Mar 2024 19:14:33 +0000

libmstoolkit (82-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062426

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 14:16:50 +0000

libmstoolkit (82-7) unstable; urgency=low

  * Fix the VCS urls to point to the salsa git repos.

  * Standards-Version: 4.5.0.
  * Build-Depends: debhelper-compat (= 12),

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 16 Jun 2020 13:25:37 +0200

libmstoolkit (82-6) unstable; urgency=medium

  * Fixing the linker command line such that the libs appear at the end of
    the link command. Thanks to Gianfranco Costamagna
    <locutusofborg@debian.org> for the patch.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 05 Mar 2018 15:52:53 +0100

libmstoolkit (82-5) UNRELEASED; urgency=medium

  * Fixing the dependencies.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 01 Mar 2018 17:34:08 +0100

libmstoolkit (82-4) unstable; urgency=medium

  * Fix the problem with linking MSSingleScan binary. And add it to the
    shipped material by creating a new binary package, libmstoolkit-tools.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 01 Mar 2018 17:34:08 +0100

libmstoolkit (82-3) unstable; urgency=medium

  * Fix the dpkg-gensymbols command line to produce a correct symbols file.
    Thanks to Adrian Bunk <bunk@debian.org> for reporting the bug 
    (Closes: #891805).

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 01 Mar 2018 09:13:48 +0100

libmstoolkit (82-2) unstable; urgency=medium

  * Fix the missing license/copyright stanzas from a number of files. The
    stanzas have been added by Michael Hoopmann as a response to a private
    mail request by me. The files were modified on GitHub. I added these license
    stanzas to the files in the form of a patch. The version of the library
    was not updated and probably won't for some time. This is a compromise
    that should be acceptable.

  * Update debian/copyright for the MSSingleScan.cpp file and all the others
    that got new license notices in the patch above.

  * debian/compat 11.

  * mv source.lintian-overrides source/lintian-overrides.

  * debian/control: Standards-Version: 4.1.3

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 26 Feb 2018 20:41:29 +0100

libmstoolkit (82-1) unstable; urgency=medium

  * New upstream version. Fixes problems I reported on the github site.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 01 Dec 2017 15:47:43 +0100
