=== debian/control ===
--- 
+++ 
@@ -1,30 +1,28 @@
 Source: libmstoolkit
+Section: libs
 Priority: optional
 Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Build-Depends: debhelper (>= 9.2), 
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1~),
-               libzip-dev (>= 0.11.2),
-               libhdf5-dev (>=1.8.13),
+							 zlib1g-dev (>=1:1.2.8),
                libsqlite3-dev (>= 3.8.6),
                libexpat1-dev (>= 2.1.0),
                docbook-to-man
-Standards-Version: 3.9.6
-Section: libs
+Standards-Version: 4.5.0
 Homepage: https://github.com/mhoopmann/mstoolkit
-Vcs-Git: git://anonscm.debian.org/debichem/packages/libmstoolkit.git
-Vcs-Browser: http://anonscm.debian.org/git/debichem/packages/libmstoolkit.git
+Vcs-Git: https://salsa.debian.org/debichem-team/libmstoolkit.git
+Vcs-Browser: https://salsa.debian.org/debichem-team/libmstoolkit
 
 Package: libmstoolkit-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, 
-         libmstoolkit77 (= ${binary:Version}),
-         libzip-dev (>= 0.11.2),
-         libhdf5-dev (>=1.8.13),
+         libmstoolkit82t64 (= ${binary:Version}),
+				 zlib1g-dev (>=1:1.2.8),
          libsqlite3-dev (>= 3.8.6),
          libexpat1-dev (>= 2.1.0)         
-Conflicts: libmstoolkit73
+Conflicts: libmstoolkit77
 Description: libraries for manipulating mass spectrometry data - dev files
  The MSToolkit is a light-weight C++ library for reading, writing, and
  manipulating mass spectrometry data. The MSToolkit is easily linked
@@ -46,11 +44,14 @@
    - Sequential or random-access file reading.
 
 
-Package: libmstoolkit77
+Package: libmstoolkit82t64
+Provides: ${t64:Provides}
+Replaces: libmstoolkit82
+Breaks: libmstoolkit82 (<< ${source:Version})
 Architecture: any
 Depends: ${shlibs:Depends}, 
          ${misc:Depends}
-Conflicts: libmstoolkit73
+Conflicts: libmstoolkit77
 Description: libraries for manipulating mass spectrometry data - runtime
  The MSToolkit is a light-weight C++ library for reading, writing, and
  manipulating mass spectrometry data. The MSToolkit is easily linked
@@ -77,14 +78,13 @@
    - libmstoolkitlite;
 
 
-Package: libmstoolkit77-dbg
-Section: debug
-Priority: extra
+Package: libmstoolkit-tools
+Section: science
 Architecture: any
-Depends: libmstoolkit77 (= ${binary:Version}),
+Depends: libmstoolkit82t64 (= ${binary:Version}),
+         ${shlibs:Depends}, 
          ${misc:Depends}
-Conflicts: libmstoolkit73
-Description: libraries for manipulating mass spectrometry data - debug symbols
+Description: libraries for manipulating mass spectrometry data - tools
  The MSToolkit is a light-weight C++ library for reading, writing, and
  manipulating mass spectrometry data. The MSToolkit is easily linked
  to virtually any C++ algorithm for simple, fast file reading and
@@ -104,5 +104,5 @@
    - Store any  spectrum in a simple, comprehensive data structure;
    - Sequential or random-access file reading.
  .
- This package provides the debugging symbols for libmstoolkit and
- libmstoolkitlite.
+ This package ships a MS/MS spectrum loader tool.
+
