=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,9 @@
 DEBIAN_DIR = $(CURDIR)/debian
 BUILD_DIR = $(CURDIR)
 
-LIB_PACKAGE = libmstoolkit77
-VERSION = 77.0.0
-LIB_VERSION = $(VERSION)
+PACKAGE_VERSION = 82
+LIB_PACKAGE = libmstoolkit$(PACKAGE_VERSION)t64
+LIB_VERSION = $(PACKAGE_VERSION).0.0
 
 # This is the only method that actually worked...
 # Combined with the CFLAGS += <new flags> in the Makefile.
@@ -30,19 +30,15 @@
 	docbook-to-man debian/libmstoolkit.sgml > debian/libmstoolkit.3
 
 override_dh_auto_build: manpage
-	make solib
-	make arlib
+	make all
 
 override_dh_makeshlibs:
 	mkdir -p $(DEBIAN_DIR)/$(LIB_PACKAGE)/DEBIAN
 	dpkg-gensymbols -p$(LIB_PACKAGE) \
-	-v$(LIB_VERSION) \
+	-v$(PACKAGE_VERSION) \
 	-c2 -d \
 	-e$(BUILD_DIR)/libmstoolkitlite.so.$(LIB_VERSION) \
 	-e$(BUILD_DIR)/libmstoolkit.so.$(LIB_VERSION) \
 	-O$(DEBIAN_DIR)/$(LIB_PACKAGE)/DEBIAN/symbols
 
 	dh_makeshlibs -a
-
-override_dh_strip:
-	dh_strip --dbg-package=$(LIB_PACKAGE)-dbg -a
